/api/v1/config
Gets the service configuration. JWT authentication settings are intentionally hidden in this response.
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
JSON object with the service configuration.
application/json
object · ConfigResultOptionalExample:
JSON object with the service configuration parameters. JWT authentication settings are intentionally omitted.
{"port":6982,"number_of_threads":1,"connection_timeout":0,"keep_alive_request_number":0,"client_max_body_size":100,"logger_path":"","logger_level":"off","logger_rotation":"daily","logger_max_files":7}400
The request contains incorrect parameters.
application/json
500
An error occurred while calling the Voice-SDK backend.
application/json
get/api/v1/config
GET /api/v1/config HTTP/1.1
Host: 127.0.0.1:6982/
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"port": 6982,
"number_of_threads": 1,
"connection_timeout": 0,
"keep_alive_request_number": 0,
"client_max_body_size": 100,
"logger_path": "",
"logger_level": "off",
"logger_rotation": "daily",
"logger_max_files": 7
}Last updated